<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	String clusterId = request.getParameter("clusterId");
	String path = request.getParameter("path");
	String itemType = Values.getStringOrNull(request.getParameter("itemType"));
	int itemId = Values.getInt(request.getParameter("itemId"));
%>
<base:page type="popup" title="Save file(s) to BASE">
<base:head scripts="~save_remote_files.js,~../reggie.js" styles="path.css,~../css/reggie.css">
</base:head>
<base:body>
	<h1>Save file(s) to BASE</h1>
	
	<div id="page-data" class="datacontainer"
		data-cluster-id="<%=HTML.encodeTags(clusterId) %>"
		data-path="<%=HTML.encodeTags(path)%>"
		data-item-type="<%=itemType == null ? "" : itemType%>"
		data-item-id="<%=itemId%>"
	></div>
	
	<form name="reggie">
	<div class="content bottomborder">
		<div class="messagecontainer error" id="errorMessage" style="display: none;"></div>
		
		<table class="fullform input100" id="save-to-base">
		<tr>
			<th>Selected files</th>
			<td>
				<span id="num-files"></span>
			</td>
		</tr>
		<tr>
			<th class="subprompt">total size</th>
			<td><span id="total-size"></span></td>
		</tr>
		<tr>
			<th>Directory</th>
			<td>
				<table style="width:98%;">
				<tr>
				<td style="width: 98%;"><input type="text" class="text required" name="path" id="path" value=""></td>
				<td><base:button 
					id="btnBrowse"
					title="Browse..." />
				</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td>
				<input type="checkbox" name="overwrite" id="overwrite" value="true">
					<label for="overwrite">Overwrite existing files</label>
			</td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td>
				<input type="checkbox" name="preserveSubFolders" id="preserveSubFolders" value="true">
					<label for="preserveSubFolders">Preserve subfolders</label>
			</td>
		</tr>
		<tr class="dynamic">
			<th></th>
			<td></td>
		</tr>
		</table>
			
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnSave" title="Save" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>